Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.io
Class StreamHelper

    java.lang.Object
      |
      +--org.openorb.io.StreamHelper

public final class StreamHelper
extends java.lang.Object

Utility class for copying the contents of an input stream to an output stream, given a typecode for the contained data.

Version:
  $Revision: 1.12 $ $Date: 2002/07/14 19:12:35 $
Author:
  Chris Wood

Constructor Summary
`StreamHelper()`

Method Summary
`static void` | `copy_stream(TypeCode type, InputStream is, OutputStream os)` Copy input stream to output stream, according to the typecode passed.
`static void` | `handle_array_content(InputStream is, OutputStream os, TypeCode content, int length)`
`static void` | `handle_union_content(InputStream is, OutputStream os, TypeCode type, TypeCode dsct)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamHelper

    public StreamHelper()

Method Detail

### handle_union_content

    public static final void handle_union_content(InputStream is,
                                                  OutputStream os,
                                                  TypeCode type,
                                                  TypeCode dsct)
                                           throws BadKind,
                                                  Bounds

### handle_array_content

    public static final void handle_array_content(InputStream is,
                                                  OutputStream os,
                                                  TypeCode content,
                                                  int length)
                                           throws BadKind,
                                                  Bounds

### copy_stream

    public static void copy_stream(TypeCode type,
                                   InputStream is,
                                   OutputStream os)

  Copy input stream to output stream, according to the typecode passed.
  Parameters:
    `type` - the typecode of the data to be copied.
    `is` - the input stream source of the data.
    `os` - the destination for the copy.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD